Elantech - Touchpad not working after upgrading to 18.10 from 18.04

Bug #1803600 reported by Thilo on 2018-11-15
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Confirmed affected laptops:
ThinkPad:
L480
L580
P72
P52

When updating from 18.04 to 18.10 on a ThinkPad L480 the Elantech touchpad stopped working. This means it is not recognized at all. This problem occured after the first boot in 18.10

`dmesg | grep -i elantech` shows the following errors:

    [ 3.409043] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x5f3001)
    [ 3.427372] psmouse serio1: elantech: Synaptics capabilities query result 0x90, 0x18, 0x10.
    [ 3.447275] psmouse serio1: elantech: Elan sample query result 00, 23, c8
    [ 3.464905] psmouse serio1: elantech: Trying to set up SMBus access
    [ 5.576149] elan_i2c 0-0015: 0-0015 supply vcc not found, using dummy regulator
    [ 5.586505] elan_i2c 0-0015: failed to get resolution: -71
    [ 5.586527] elan_i2c: probe of 0-0015 failed with error -71

uname:

    $ uname -a
    Linux test 4.18.0-10-generic #11-Ubuntu SMP Thu Oct 11 15:13:55 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I found the following thread which solves the problem temporarly (and reports the same problem in Arch):
https://bugs.archlinux.org/task/59714

Running the following command enables it again for the current session:

    sudo sh -c 'echo -n "elantech"> /sys/bus/serio/devices/serio1/protocol'

dmesg afterwards:

    [ 569.522490] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x5f3001)
    [ 569.544584] psmouse serio1: elantech: Synaptics capabilities query result 0x90, 0x18, 0x10.
    [ 569.565939] psmouse serio1: elantech: Elan sample query result 00, 23, c8

Before running the fix:

    $ cat /sys/bus/serio/devices/serio1/protocol
    ETSMBus

and after:

    $ cat /sys/bus/serio/devices/serio1/protocol
    ETPS/2

After reboot the command has to be run again, of course.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: xorg 1:7.7+19ubuntu8
ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
Uname: Linux 4.18.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: KDE
Date: Thu Nov 15 20:59:36 2018
DistUpgraded: 2018-11-10 09:56:53,358 DEBUG icon theme changed, re-reading
DistroCodename: cosmic
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.2.18, 4.15.0-38-generic, x86_64: installed
 virtualbox, 5.2.18, 4.18.0-10-generic, x86_64: installed
 virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed
GraphicsCard:
 Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo UHD Graphics 620 [17aa:506a]
InstallationDate: Installed on 2018-08-06 (101 days ago)
InstallationMedia: Xubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: LENOVO 20LS001AGE
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-11-generic root=UUID=a1f97298-a2b8-469d-80ed-eeee7497c6e6 ro quiet splash vt.handoff=1
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to cosmic on 2018-11-10 (5 days ago)
dmi.bios.date: 02/09/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: R0QET37W (1.14 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20LS001AGE
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrR0QET37W(1.14):bd02/09/2018:svnLENOVO:pn20LS001AGE:pvrThinkPadL480:rvnLENOVO:rn20LS001AGE:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad L480
dmi.product.name: 20LS001AGE
dmi.product.sku: LENOVO_MT_20LS_BU_Think_FM_ThinkPad L480
dmi.product.version: ThinkPad L480
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.95-1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.4-0~b~padoka0
version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.4-0~b~padoka0
version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3

Thilo (thigg) wrote :
Thilo (thigg) wrote :

Sorry, this is not meant to be in xorg. (Or I actually don't know...) However the bug-report application itsself seems to be buggy ;) (or the user using it)

Daniel van Vugt (vanvugt) wrote :

Reassigned to the kernel.

affects: xorg (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.20 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.20-rc2

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: needs-bisect
Thilo (thigg) on 2018-11-16
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Thilo (thigg) wrote :

Bug exists in upstream, 4.18.0-10 and 4.18.0-11 but not in 4.15.0-38

LGB [Gábor Lénárt] (lgb) wrote :

I have Lenovo L580. And a similar issue. The install image written to the USB drive worked fine, but after installation touchpad simply did not work. I've tried everything suggested (utilizing some google searches ...), including kernel parameters, blacklisting various i2c hid modules, and all the combinations, but nothing. It's a fresh 18.10 install, I have no idea if it would work with previous versions, but I rather wouldn't downgrade, if this bug is expected to be fixed.

In my case, I see this in dmesg:

[ 2.418397] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x5f3001)
[ 2.440307] psmouse serio1: elantech: Synaptics capabilities query result 0x90, 0x18, 0x10.
[ 2.456358] psmouse serio1: elantech: Elan sample query result 00, 22, c8
[ 2.471110] psmouse serio1: elantech: Trying to set up SMBus access
[ 3.054187] elan_i2c 2-0015: 2-0015 supply vcc not found, using dummy regulator
[ 3.066012] elan_i2c 2-0015: failed to get resolution: -71
[ 3.066039] elan_i2c: probe of 2-0015 failed with error -71

Interestingly, sometimes the four first lines lines (grep'ing all lines from dmesg containing strig 'elan'), and not the rest. But it can be, because I tried to disable/enable touchpad in BIOS to see there is a difference.

Kai-Heng Feng (kaihengfeng) wrote :

Boot with kernel parameter "psmouse.elantech_smbus=0" and see if this helps.

Thilo (thigg) wrote :

Yes, this seems to fix it with 4.20

LGB [Gábor Lénárt] (lgb) wrote :

@Kai-Heng Feng : Wow, it fixed the issue for me at least, on Lenovo Thinkpad L580. :) :)

Kai-Heng Feng (kaihengfeng) wrote :

Ok, I'll discuss with the patch author about how to solve the issue. Seems to me DMI based quirk is required.

Thilo (thigg) wrote :

According to https://bugs.archlinux.org/task/59714, ThinkPad P72 is also affected.

summary: Elantech - Touchpad not working after upgrading to 18.10 from 18.04
- (ThinkPad L480)
+ (ThinkPad L480/P72)
summary: Elantech - Touchpad not working after upgrading to 18.10 from 18.04
- (ThinkPad L480/P72)
+ (ThinkPad L480|L580|P72)

Lenovo Thinkpad P52 is another laptop that uses this touchpad. Same issues with the kernel detecting/configuring it.

Thilo (thigg) on 2018-12-07
summary: Elantech - Touchpad not working after upgrading to 18.10 from 18.04
- (ThinkPad L480|L580|P72)
+ (ThinkPad L480|L580|P72|P52)
summary: Elantech - Touchpad not working after upgrading to 18.10 from 18.04
- (ThinkPad L480|L580|P72|P52)
description: updated
Kai-Heng Feng (kaihengfeng) wrote :

Upstream maintainer wants to know the firmware information of your touchpad, can you provide it?

https://lore.kernel<email address hidden>/

Thilo (thigg) wrote :

L480:
cat /sys/bus/serio/devices/serio1/firmware_id
PNP: LEN2036 PNP0f13

axel (x.) wrote :

P52:
"cat /sys/bus/serio/devices/serio1/firmware_id":
PNP: LEN2132 PNP0f13

Confirming a fresh install of ubuntu 18.10 works yields a fully functional touchpad but updating (tested with current kernel 4.18.0-12-generic) renders the touchpad unusable.
Issuing "sudo sh -c 'echo -n "elantech"> /sys/bus/serio/devices/serio1/protocol'" restores the trackpads functionality for the current session as already described.

"dmesg | grep -i elan" yields:
[ 3.167455] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x5f2001)
[ 3.179490] psmouse serio1: elantech: Synaptics capabilities query result 0x90, 0x18, 0x0e.
[ 3.191246] psmouse serio1: elantech: Elan sample query result 00, 28, 96
[ 3.202881] psmouse serio1: elantech: Trying to set up SMBus access
[ 4.032146] elan_i2c 0-0015: 0-0015 supply vcc not found, using dummy regulator
[ 4.048144] elan_i2c 0-0015: failed to get resolution: -5
[ 4.048168] elan_i2c: probe of 0-0015 failed with error -5

after echoing "elantech", dmesg shows
[ 2185.669979] input: ETPS/2 Elantech TrackPoint as /devices/platform/i8042/serio1/input/input17
[ 2185.683258] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input16
instead of the former last three lines.

LGB [Gábor Lénárt] (lgb) wrote :

Lenovo ThinkPad L580:

$ cat /sys/bus/serio/devices/serio1/firmware_id
PNP: LEN2037 PNP0f13

$ dmesg | fgrep -i elan
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-11-generic root=UUID=8ee3c188-2063-45de-b270-2db3df928e18 ro psmouse.elantech_smbus=0 quiet splash vt.handoff=1
[ 0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-11-generic root=UUID=8ee3c188-2063-45de-b270-2db3df928e18 ro psmouse.elantech_smbus=0 quiet splash vt.handoff=1
[ 2.432975] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x5f3001)
[ 2.449022] psmouse serio1: elantech: Synaptics capabilities query result 0x90, 0x18, 0x10.
[ 2.464414] psmouse serio1: elantech: Elan sample query result 00, 22, c8
[ 2.526860] input: ETPS/2 Elantech TrackPoint as /devices/platform/i8042/serio1/input/input6
[ 2.545342] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input5

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers